
/*
 * -----------------------------------------------------------------------------
 * File  Name     : FileDownloadAction.java
 * Description    : Action class
 * Special Logics :
 * @author        : Suh Hyuck Jun
 * @version       : 1.0
 * @Date          : 2006.01.01
 *------------------------------------------------------------------------------
 * History :
 *  DATE              AUTHOR          DESCRIPTION
 * -----------      -------------    -------------------
 *  2006.01.01      Suh, Hyuck Jun    Initial Release
 *------------------------------------------------------------------------------
 * Copyright(c) 2004,  All rights reserved.
 *
 * NOTICE !    You can not copy or redistribute this code.
 *
 */
package cc.struts.cian3.action;

import java.io.File;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.beanutils.BeanUtils;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.actions.DownloadAction;

import cc.struts.cian3.dto.FileDTO;
import cc.struts.cian3.form.FileForm;

public class FileDownloadAction extends DownloadAction{
	final static String path = "D:\\ade_young\\workspace\\ws_1\\cian3\\upload\\";

    protected StreamInfo getStreamInfo(ActionMapping mapping,
            ActionForm form,
            HttpServletRequest request,
            HttpServletResponse response) throws Exception {

        FileForm fileForm = (FileForm) form;
        FileDTO fileDTO = new FileDTO();
        BeanUtils.copyProperties( fileDTO, fileForm );

        // File Name
        String fileName = fileDTO.getDiskStoredFileName();
        
        // Set the content disposition
        response.setHeader("Content-disposition",
                "attachment; filename=" + fileName);

        //Download a "pdf" file - gets the file name from the
        // Action Mapping's parameter
        String contentType = "application/octet-stream";
        
        System.out.println("fileName="+fileName);
        File file          = new File( path + fileName );
        
        return new FileStreamInfo(contentType, file);
    }
}