
/*
 * -----------------------------------------------------------------------------
 * File  Name     : DeleteAesopdocumentAction.java
 * Description    : Action class
 * Special Logics :
 * @author        : Suh Hyuck Jun
 * @version       : 1.0
 * @Date          : 2005.12.24
 *------------------------------------------------------------------------------
 * History :
 *  DATE              AUTHOR          DESCRIPTION
 * -----------      -------------    -------------------
 *  2005.12.24      Suh, Hyuck Jun    Initial Release
 *------------------------------------------------------------------------------
 * Copyright(c) 2004,  All rights reserved.
 *
 * NOTICE !    You can not copy or redistribute this code.
 *
 */
package cc.struts.cian3.aesopdocument.action;

import org.apache.struts.action.*;
import org.apache.struts.action.Action;
import org.apache.commons.beanutils.BeanUtils;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import cc.struts.cian3.exception.DatabaseException;
import cc.struts.cian3.aesopdocument.service.AesopdocumentService;
import cc.struts.cian3.aesopdocument.dto.AesopdocumentDTO;
import cc.struts.cian3.aesopdocument.form.AesopdocumentForm;

public final class DeleteAesopdocumentAction extends Action {

    public ActionForward execute(ActionMapping mapping,
                                 ActionForm form,
                                 HttpServletRequest request,
                                 HttpServletResponse response)
        throws Exception {
        AesopdocumentService service = new AesopdocumentService();
        AesopdocumentForm aesopdocumentForm = (AesopdocumentForm) form;
        AesopdocumentDTO aesopdocumentDTO = new AesopdocumentDTO();
        BeanUtils.copyProperties( aesopdocumentDTO, aesopdocumentForm );

        AesopdocumentDTO dto = new AesopdocumentDTO();

        try {
            dto = service.selectAesopdocument( aesopdocumentDTO );
            request.setAttribute( "dto", dto );

            service.deleteAesopdocument( aesopdocumentDTO );
            ActionMessages messages = new ActionMessages();
            ActionMessage message = new ActionMessage( "message.aesopdocument.deletesuccess", Integer.toString(dto.getDocument_eid()) );
            messages.add( ActionMessages.GLOBAL_MESSAGE, message );
            saveMessages( request, messages );

            return (mapping.findForward("success"));

        }
        catch( DatabaseException de ) {
            ActionErrors errors = new ActionErrors();
            ActionError error = new ActionError("error.aesopdocument.databaseException");
            errors.add( ActionErrors.GLOBAL_ERROR, error );
            saveErrors( request, errors );
            return (mapping.findForward("error"));
        }
    }
}

