
/*
 * -----------------------------------------------------------------------------
 * File  Name     : AesopdocumentService.java
 * Description    : Service Class
 * Special Logics :
 * @author        : Suh Hyuck Jun
 * @version       : 1.0
 * @Date          : 2005.12.24
 *------------------------------------------------------------------------------
 * History :
 *  DATE              AUTHOR          DESCRIPTION
 * -----------      -------------    -------------------
 *  2005.12.24      Suh, Hyuck Jun    Initial Release
 *------------------------------------------------------------------------------
 * Copyright(c) 2004,  All rights reserved.
 *
 * NOTICE !    You can not copy or redistribute this code.
 *
 */
package cc.struts.cian3.aesopdocument.service;

import cc.struts.cian3.aesopdocument.dto.AesopdocumentDTO;
import cc.struts.cian3.aesopdocument.dao.AesopdocumentDAO;
import cc.struts.cian3.dao.SuperDAO;

import java.util.Collection;


import cc.struts.cian3.exception.DatabaseException;

public class AesopdocumentService {

    public AesopdocumentDTO insertAesopdocument( AesopdocumentDTO aesopdocument ) throws DatabaseException {
        int count=0;

        try {
            AesopdocumentDAO dao = new AesopdocumentDAO();
            aesopdocument.setDocument_eid( dao.selectSeq() );
            count = dao.insertAesopdocument( aesopdocument );
        }
        catch( DatabaseException de ) {
            //log error
            throw de;
        }

        return aesopdocument;
    }

    public AesopdocumentDTO[] selectAesopdocumentList( AesopdocumentDTO aesopdocument ) throws DatabaseException {
        AesopdocumentDTO[] arrDto = null;

        try {
            AesopdocumentDAO dao = new AesopdocumentDAO();
            arrDto = dao.selectAesopdocumentList( aesopdocument );
        }
        catch( DatabaseException de ) {
            //log error
            throw de;
        }
        return arrDto;
    }


    public AesopdocumentDTO selectAesopdocument( AesopdocumentDTO aesopdocument ) throws DatabaseException {
        AesopdocumentDTO dto = new AesopdocumentDTO();

        try {
            AesopdocumentDAO dao = new AesopdocumentDAO();
            dto = dao.selectAesopdocument( aesopdocument );
        }
        catch( DatabaseException de ) {
            //log error
            throw de;
        }
        return dto;
    }


    public AesopdocumentDTO updateAesopdocument( AesopdocumentDTO aesopdocument ) throws DatabaseException {
        int count=0;

        try {
            AesopdocumentDAO dao = new AesopdocumentDAO();
            count = dao.updateAesopdocument( aesopdocument );
        }
        catch( DatabaseException de ) {
            //log error
            throw de;
        }
        return aesopdocument;
    }

    public AesopdocumentDTO deleteAesopdocument( AesopdocumentDTO aesopdocument ) throws DatabaseException {
        int count=0;

        try {
            AesopdocumentDAO dao = new AesopdocumentDAO();
            count = dao.deleteAesopdocument( aesopdocument );
        }
        catch( DatabaseException de ) {
            //log error
            throw de;
        }
        return aesopdocument;
    }

    public AesopdocumentDTO publishAesopdocument( AesopdocumentDTO aesopdocument ) throws DatabaseException {
        int count=0;

        try {
            AesopdocumentDAO dao = new AesopdocumentDAO();
            count = dao.publishAesopdocument( aesopdocument );
        }
        catch( DatabaseException de ) {
            //log error
            throw de;
        }
        return aesopdocument;
    }

    public Collection selectGroupcodeCodeList() throws DatabaseException {
        Collection collection = null;

        try {
            SuperDAO dao = new SuperDAO();
            collection = dao.selectCodeList( 2101 );
        }
        catch( DatabaseException de ) {
            //log error
            throw de;
        }
        return collection;
    }

    public Collection selectUserEidCodeList() throws DatabaseException {
        Collection collection = null;

        try {
        	AesopdocumentDAO dao = new AesopdocumentDAO();
            collection = dao.selectUserEidCodeList();
        }
        catch( DatabaseException de ) {
            //log error
            throw de;
        }
        return collection;
    }

}
