
/*
 * -----------------------------------------------------------------------------
 * File  Name     : BatchAesopAction.java
 * Description    : Action class
 * Special Logics :
 * @author        : Suh Hyuck Jun
 * @version       : 1.0
 * @Date          : 2006.01.05
 *------------------------------------------------------------------------------
 * History :
 *  DATE              AUTHOR          DESCRIPTION
 * -----------      -------------    -------------------
 *  2006.01.05      Suh, Hyuck Jun    Initial Release
 *------------------------------------------------------------------------------
 * Copyright(c) 2004,  All rights reserved.
 *
 * NOTICE !    You can not copy or redistribute this code.
 *
 */
package cc.struts.cian3.aesopinit.action;


import org.apache.struts.action.*;
import org.apache.struts.action.Action;
import org.apache.commons.beanutils.BeanUtils;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
 
import cc.struts.cian3.aesopinit.service.AesopinitService;
import cc.struts.cian3.aesopinit.dto.AesopinitDTO;
import cc.struts.cian3.aesopinit.form.AesopinitForm;
import cc.struts.cian3.aesopuser.dto.AesopuserDTO;
import cc.struts.cian3.aesopuser.service.AesopuserService;

import java.io.StringReader;
import java.io.StringWriter;
import org.xml.sax.InputSource;
import com.allaire.wddx.WddxDeserializer;
import com.allaire.wddx.WddxSerializer;
import java.io.*;
import java.util.Hashtable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Vector;
import java.util.HashSet;
import java.util.Collection;
import java.util.Iterator;

public final class BatchAesopAction extends Action {
    private Hashtable userData;
    
    public ActionForward execute(ActionMapping mapping,
                                 ActionForm form,
                                 HttpServletRequest request,
                                 HttpServletResponse response)
        throws Exception {
    	
        String reqStr = "";
            
        //Start------Receive Request
        BufferedReader reader= null;        
        try{
            reader=request.getReader();            
            String line=null;            
            if((line=reader.readLine())!=null){       
                reqStr+=line;                 
            }            
        }catch(Exception e){
            e.printStackTrace();
            try{
                if(reader!=null) reader.close();        
            }catch(Exception ee){
                ee.printStackTrace();
            }
        }finally{
            try{
                if(reader!=null) reader.close();        
            }catch(Exception e){
                e.printStackTrace();
            }
        }            
        System.out.println("wddxPacket="+ reqStr);  
        //End------Receive Request


        //Start------Receive Request
        //String input = "<wddxPacket version='1.0'><header/><data><struct><var name='cNames'><array length='5'><string>p1</string><string>p2</string><string>primarykey</string><string>name</string><string>email</string></array></var><var name='people'><array length='2'><array length='5'><string>esyjun</string><string>6c9f1240</string><string>1</string><string>jun</string><string>N/A</string></array><array length='5'><string>abcid</string><string>32134141</string><string>7</string><string>NAMESUHH</string><string>yahoo@gmail.com</string></array></array></var></struct></data></wddxPacket>";
        String input = reqStr;
        
        
        ArrayList list = new ArrayList();   	
    	AesopinitDTO arrDto[] = null;
    	AesopinitService service = new AesopinitService();
    	
        try {
            // Create an input source (org.xml.sax.InputSource) bound to the packet
           	InputSource source = new InputSource(new StringReader(input));
           	
            // Create a WDDX deserialiser (com.allaire.wddx.WddxDeserializer)
            // This particular instance will use James Clark's XP parser
            // XP is available from http://www.jclark.com/xml/xp/index.html
           	WddxDeserializer deserializer = new WddxDeserializer("com.jclark.xml.sax.Driver");

           	// Deserialize the WDDX packet           	
           	userData = (Hashtable)deserializer.deserialize(source);
           	Object array = userData.get("people");          	
           	Vector vector = (Vector)array;
        	
        	for( int inx=0; inx < vector.size() ; inx++){
        		Collection collection = (Collection)vector.elementAt( inx );
               	Iterator iterator=collection.iterator();
            	
            	while ( iterator.hasNext() ){
            		AesopinitDTO dto = new AesopinitDTO();
            		dto.setP1( (String)iterator.next() );
            		dto.setP2( (String)iterator.next() );
            		dto.setPrimarykey( (String)iterator.next() );
            		dto.setName( (String)iterator.next() );
            		dto.setEmail( (String)iterator.next() );
                    list.add(dto);
                }
        	}   
        	arrDto = new AesopinitDTO[list.size()];
            list.toArray( arrDto );
            
            int count = service.updateAesopusers( arrDto );

            ActionMessages messages = new ActionMessages();
            ActionMessage message = new ActionMessage( "۾  Ǿϴ." );
            messages.add( ActionMessages.GLOBAL_MESSAGE, message );
            saveMessages( request, messages );        	
        } catch (Exception e) {
        	e.printStackTrace();
            ActionErrors errors = new ActionErrors();
            ActionError error = new ActionError("error.aesopuser.batchupdateException");
            errors.add( ActionErrors.GLOBAL_ERROR, error );
            saveErrors( request, errors );
        	//throw new Exception(e);
        }
        return (mapping.findForward("success"));
    }
}
    