/*
 * -----------------------------------------------------------------------------
 * File  Name     : AesopinitService.java
 * Description    : Service Class
 * Special Logics :
 * @author        : Suh Hyuck Jun
 * @version       : 1.0
 * @Date          : 2006.01.05
 *------------------------------------------------------------------------------
 * History :
 *  DATE              AUTHOR          DESCRIPTION
 * -----------      -------------    -------------------
 *  2006.01.05      Suh, Hyuck Jun    Initial Release
 *------------------------------------------------------------------------------
 * Copyright(c) 2004,  All rights reserved.
 *
 * NOTICE !    You can not copy or redistribute this code.
 *
 */
package cc.struts.cian3.aesopinit.service;

import cc.struts.cian3.aesopinit.dto.AesopinitDTO;
import cc.struts.cian3.aesopinit.dao.AesopinitDAO;
import cc.struts.cian3.aesopuser.dao.AesopuserDAO;
import cc.struts.cian3.aesopuser.dto.AesopuserDTO;
import cc.struts.cian3.dao.SuperDAO;

import java.util.Collection;


import cc.struts.cian3.exception.DatabaseException;

public class AesopinitService {

    public int checkAesopinit( AesopinitDTO aesopinit ) throws DatabaseException {
    	int count = 0;

        try {
            AesopinitDAO dao = new AesopinitDAO();
            count = dao.checkAesopinit( aesopinit );
        }
        catch( DatabaseException de ) {
            //log error
            throw de;
        }
        return count;
    }


    public int updateAesopusers( AesopinitDTO[] aesopuser ) throws DatabaseException {
        int count=0;

        try {
            AesopuserDAO dao = new AesopuserDAO();
            for( int inx=0; inx < aesopuser.length ; inx++ ){
            	AesopuserDTO dto = new AesopuserDTO();
            	dto.setEid( Integer.parseInt( aesopuser[inx].getPrimarykey() ) );
            	dto.setUserid( aesopuser[inx].getP1() );
            	dto.setName( aesopuser[inx].getName() );
            	dto.setPassword( aesopuser[inx].getP2() );
            	dto.setEmail( aesopuser[inx].getEmail() );
            	dto.setUse_yn( "Y" );
            	dto.setDelete_yn( "N" );
            	
            	count = dao.updateAesopuser( dto );
            	if( count == 0){
            		count = dao.insertAesopuser( dto );
            	}
            }
            
        }
        catch( DatabaseException de ) {
            //log error
            throw de;
        }
        return count;
    }

}
