
/*
 * -----------------------------------------------------------------------------
 * File  Name     : DeleteAesopinspectionAction.java
 * Description    : Action class
 * Special Logics :
 * @author        : Suh Hyuck Jun
 * @version       : 1.0
 * @Date          : 2005.12.24
 *------------------------------------------------------------------------------
 * History :
 *  DATE              AUTHOR          DESCRIPTION
 * -----------      -------------    -------------------
 *  2005.12.24      Suh, Hyuck Jun    Initial Release
 *------------------------------------------------------------------------------
 * Copyright(c) 2004,  All rights reserved.
 *
 * NOTICE !    You can not copy or redistribute this code.
 *
 */
package cc.struts.cian3.aesopinspection.action;

import org.apache.struts.action.*;
import org.apache.struts.action.Action;
import org.apache.commons.beanutils.BeanUtils;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import cc.struts.cian3.exception.DatabaseException;
import cc.struts.cian3.aesopinspection.service.AesopinspectionService;
import cc.struts.cian3.aesopinspection.dto.AesopinspectionDTO;
import cc.struts.cian3.aesopinspection.form.AesopinspectionForm;

public final class DeleteAesopinspectionAction extends Action {

    public ActionForward execute(ActionMapping mapping,
                                 ActionForm form,
                                 HttpServletRequest request,
                                 HttpServletResponse response)
        throws Exception {
        AesopinspectionService service = new AesopinspectionService();
        AesopinspectionForm aesopinspectionForm = (AesopinspectionForm) form;
        AesopinspectionDTO aesopinspectionDTO = new AesopinspectionDTO();
        BeanUtils.copyProperties( aesopinspectionDTO, aesopinspectionForm );

        AesopinspectionDTO dto = new AesopinspectionDTO();

        try {
            dto = service.selectAesopinspection( aesopinspectionDTO );
            request.setAttribute( "dto", dto );

            service.deleteAesopinspection( aesopinspectionDTO );
            ActionMessages messages = new ActionMessages();
            ActionMessage message = new ActionMessage( "message.aesopinspection.deletesuccess", Integer.toString(dto.getUser_eid()) );
            messages.add( ActionMessages.GLOBAL_MESSAGE, message );
            saveMessages( request, messages );

            return (mapping.findForward("success"));

        }
        catch( DatabaseException de ) {
            ActionErrors errors = new ActionErrors();
            ActionError error = new ActionError("error.aesopinspection.databaseException");
            errors.add( ActionErrors.GLOBAL_ERROR, error );
            saveErrors( request, errors );
            return (mapping.findForward("error"));
        }
    }
}

