
/*
 * -----------------------------------------------------------------------------
 * File  Name     : UpdateAesopinspectionInitAction.java
 * Description    : Action class
 * Special Logics :
 * @author        : Suh Hyuck Jun
 * @version       : 1.0
 * @Date          : 2005.12.24
 *------------------------------------------------------------------------------
 * History :
 *  DATE              AUTHOR          DESCRIPTION
 * -----------      -------------    -------------------
 *  2005.12.24      Suh, Hyuck Jun    Initial Release
 *------------------------------------------------------------------------------
 * Copyright(c) 2004,  All rights reserved.
 *
 * NOTICE !    You can not copy or redistribute this code.
 *
 */
package cc.struts.cian3.aesopinspection.action;

import org.apache.commons.beanutils.BeanUtils;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionForm;

import java.util.Collection;

import cc.struts.cian3.aesopinspection.service.AesopinspectionService;
import cc.struts.cian3.aesopinspection.dto.AesopinspectionDTO;
import cc.struts.cian3.aesopinspection.form.AesopinspectionForm;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;


public final class UpdateAesopinspectionInitAction extends Action {

    public ActionForward execute(ActionMapping mapping,
                                 ActionForm form,
                                 HttpServletRequest request,
                                 HttpServletResponse response)
        throws Exception {
        AesopinspectionService service = new AesopinspectionService();
        AesopinspectionForm aesopinspectionForm = (AesopinspectionForm) form;
        AesopinspectionDTO aesopinspectionDTO = new AesopinspectionDTO();
        BeanUtils.copyProperties( aesopinspectionDTO, aesopinspectionForm );

        HttpSession session = request.getSession();
        Collection result_type_cd = service.selectResult_typeCodeList();
        session.setAttribute( "result_type_cd", result_type_cd );
        Collection reinspection_yn_cd = service.selectReinspection_ynCodeList();
        session.setAttribute( "reinspection_yn_cd", reinspection_yn_cd );
        Collection rework_check_user_eid_cd = service.selectRework_check_user_eidCodeList();
        session.setAttribute( "rework_check_user_eid_cd", rework_check_user_eid_cd );
        Collection producer_eid_cd = service.selectProducer_eidCodeList();
        session.setAttribute( "producer_eid_cd", producer_eid_cd );
        Collection moderator_eid_cd = service.selectModerator_eidCodeList();
        session.setAttribute( "moderator_eid_cd", moderator_eid_cd );
        Collection reader_eid_cd = service.selectReader_eidCodeList();
        session.setAttribute( "reader_eid_cd", reader_eid_cd );
        Collection recorder_eid_cd = service.selectRecorder_eidCodeList();
        session.setAttribute( "recorder_eid_cd", recorder_eid_cd );
        Collection inspector1_eid_cd = service.selectInspector1_eidCodeList();
        session.setAttribute( "inspector1_eid_cd", inspector1_eid_cd );
        Collection inspector2_eid_cd = service.selectInspector2_eidCodeList();
        session.setAttribute( "inspector2_eid_cd", inspector2_eid_cd );
        Collection inspector3_eid_cd = service.selectInspector3_eidCodeList();
        session.setAttribute( "inspector3_eid_cd", inspector3_eid_cd );
        Collection inspector4_eid_cd = service.selectInspector4_eidCodeList();
        session.setAttribute( "inspector4_eid_cd", inspector4_eid_cd );
        Collection inspector5_eid_cd = service.selectInspector5_eidCodeList();
        session.setAttribute( "inspector5_eid_cd", inspector5_eid_cd );
        Collection inspector6_eid_cd = service.selectInspector6_eidCodeList();
        session.setAttribute( "inspector6_eid_cd", inspector6_eid_cd );
        Collection inspector7_eid_cd = service.selectInspector7_eidCodeList();
        session.setAttribute( "inspector7_eid_cd", inspector7_eid_cd );
        Collection inspector8_eid_cd = service.selectInspector8_eidCodeList();
        session.setAttribute( "inspector8_eid_cd", inspector8_eid_cd );
        Collection inspector9_eid_cd = service.selectInspector9_eidCodeList();
        session.setAttribute( "inspector9_eid_cd", inspector9_eid_cd );
        Collection inspector10_eid_cd = service.selectInspector10_eidCodeList();
        session.setAttribute( "inspector10_eid_cd", inspector10_eid_cd );
        
        AesopinspectionDTO dto = new AesopinspectionDTO();
        dto = service.selectAesopinspection( aesopinspectionDTO );
        BeanUtils.copyProperties( aesopinspectionForm, dto );

        return (mapping.findForward("update"));
    }
}

