
/*
 * -----------------------------------------------------------------------------
 * File  Name     : AesopinspectionDAO.java
 * Description    : DAO class
 * Special Logics :
 * @author        : Suh Hyuck Jun
 * @version       : 1.0
 * @Date          : 2005.12.24
 *------------------------------------------------------------------------------
 * History :
 *  DATE              AUTHOR          DESCRIPTION
 * -----------      -------------    -------------------
 *  2005.12.24      Suh, Hyuck Jun    Initial Release
 *------------------------------------------------------------------------------
 * Copyright(c) 2004,  All rights reserved.
 *
 * NOTICE !    You can not copy or redistribute this code.
 *
 */
package cc.struts.cian3.aesopinspection.dao;

import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.Connection;
import java.sql.SQLException;
import java.util.ArrayList;
import java.util.Collection;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import cc.struts.cian3.dao.LoggableStatement;
import cc.struts.cian3.dao.SuperDAO;
import cc.struts.cian3.exception.DatabaseException;
import cc.struts.cian3.aesopinspection.dto.AesopinspectionDTO;


public class AesopinspectionDAO extends SuperDAO {
    static private final Log log = LogFactory.getLog(AesopinspectionDAO.class);



    public int insertAesopinspection( AesopinspectionDTO aesopinspection ) throws DatabaseException {
        StringBuffer query = new StringBuffer();
        query.append( "INSERT INTO TB_INSPECTION(                               \n" );
        query.append( "                      c_user_eid                         \n" );
        query.append( "                     ,c_document_eid                     \n" );
        query.append( "                     ,c_overview_eid                     \n" );
        query.append( "                     ,c_eid                              \n" );
        query.append( "                     ,c_teamname                         \n" );
        query.append( "                     ,c_result_type                      \n" );
        query.append( "                     ,c_result_type_description          \n" );
        query.append( "                     ,c_date                             \n" );
        query.append( "                     ,c_doc_size_expect                  \n" );
        query.append( "                     ,c_doc_size_result                  \n" );
        query.append( "                     ,c_overview_time                    \n" );
        query.append( "                     ,c_preparation_time                 \n" );
        query.append( "                     ,c_inspection_time                  \n" );
        query.append( "                     ,c_majorcount                       \n" );
        query.append( "                     ,c_minorcount                       \n" );
        query.append( "                     ,c_reinspection_yn                  \n" );
        query.append( "                     ,c_reinspection_date                \n" );
        query.append( "                     ,c_rework_check_user_eid            \n" );
        query.append( "                     ,c_rework_time                      \n" );
        query.append( "                     ,c_producer_eid                     \n" );
        query.append( "                     ,c_moderator_eid                    \n" );
        query.append( "                     ,c_reader_eid                       \n" );
        query.append( "                     ,c_recorder_eid                     \n" );
        query.append( "                     ,c_inspector1_eid                   \n" );
        query.append( "                     ,c_inspector2_eid                   \n" );
        query.append( "                     ,c_inspector3_eid                   \n" );
        query.append( "                     ,c_inspector4_eid                   \n" );
        query.append( "                     ,c_inspector5_eid                   \n" );
        query.append( "                     ,c_inspector6_eid                   \n" );
        query.append( "                     ,c_inspector7_eid                   \n" );
        query.append( "                     ,c_inspector8_eid                   \n" );
        query.append( "                     ,c_inspector9_eid                   \n" );
        query.append( "                     ,c_inspector10_eid                  \n" );
        query.append( "              )VALUES(                                   \n" );
        query.append( "                      ?                                  \n" );
        query.append( "                     ,?                                  \n" );
        query.append( "                     ,?                                  \n" );
        query.append( "                     ,?                                  \n" );
        query.append( "                     ,?                                  \n" );
        query.append( "                     ,?                                  \n" );
        query.append( "                     ,?                                  \n" );
        query.append( "                     ,?                                  \n" );
        query.append( "                     ,?                                  \n" );
        query.append( "                     ,?                                  \n" );
        query.append( "                     ,?                                  \n" );
        query.append( "                     ,?                                  \n" );
        query.append( "                     ,?                                  \n" );
        query.append( "                     ,?                                  \n" );
        query.append( "                     ,?                                  \n" );
        query.append( "                     ,?                                  \n" );
        query.append( "                     ,?                                  \n" );
        query.append( "                     ,?                                  \n" );
        query.append( "                     ,?                                  \n" );
        query.append( "                     ,?                                  \n" );
        query.append( "                     ,?                                  \n" );
        query.append( "                     ,?                                  \n" );
        query.append( "                     ,?                                  \n" );
        query.append( "                     ,?                                  \n" );
        query.append( "                     ,?                                  \n" );
        query.append( "                     ,?                                  \n" );
        query.append( "                     ,?                                  \n" );
        query.append( "                     ,?                                  \n" );
        query.append( "                     ,?                                  \n" );
        query.append( "                     ,?                                  \n" );
        query.append( "                     ,?                                  \n" );
        query.append( "                     ,?                                  \n" );
        query.append( "                     ,?                                  \n" );
        query.append( "              )                                          \n" );

        PreparedStatement pstmt = null;
        int count = 0;
        Connection conn = null;
        conn = getConnection();
        try {
            if(logEnabled) pstmt = new LoggableStatement(conn,query.toString());
            else pstmt = conn.prepareStatement(query.toString());

            pstmt.setInt   ( 1, aesopinspection.getUser_eid() );
            pstmt.setInt   ( 2, aesopinspection.getDocument_eid() );
            pstmt.setInt   ( 3, aesopinspection.getOverview_eid() );
            pstmt.setInt   ( 4, aesopinspection.getEid() );
            pstmt.setString( 5, aesopinspection.getTeamname() );
            pstmt.setInt   ( 6, aesopinspection.getResult_type() );
            pstmt.setString( 7, aesopinspection.getResult_type_description() );
            pstmt.setString( 8, aesopinspection.getDate() );
            pstmt.setString( 9, aesopinspection.getDoc_size_expect() );
            pstmt.setString( 10, aesopinspection.getDoc_size_result() );
            pstmt.setInt   ( 11, aesopinspection.getOverview_time() );
            pstmt.setInt   ( 12, aesopinspection.getPreparation_time() );
            pstmt.setInt   ( 13, aesopinspection.getInspection_time() );
            pstmt.setInt   ( 14, aesopinspection.getMajorcount() );
            pstmt.setInt   ( 15, aesopinspection.getMinorcount() );
            pstmt.setInt   ( 16, aesopinspection.getReinspection_yn() );
            pstmt.setString( 17, aesopinspection.getReinspection_date() );
            pstmt.setInt   ( 18, aesopinspection.getRework_check_user_eid() );
            pstmt.setInt   ( 19, aesopinspection.getRework_time() );
            pstmt.setInt   ( 20, aesopinspection.getProducer_eid() );
            pstmt.setInt   ( 21, aesopinspection.getModerator_eid() );
            pstmt.setInt   ( 22, aesopinspection.getReader_eid() );
            pstmt.setInt   ( 23, aesopinspection.getRecorder_eid() );
            pstmt.setInt   ( 24, aesopinspection.getInspector1_eid() );
            pstmt.setInt   ( 25, aesopinspection.getInspector2_eid() );
            pstmt.setInt   ( 26, aesopinspection.getInspector3_eid() );
            pstmt.setInt   ( 27, aesopinspection.getInspector4_eid() );
            pstmt.setInt   ( 28, aesopinspection.getInspector5_eid() );
            pstmt.setInt   ( 29, aesopinspection.getInspector6_eid() );
            pstmt.setInt   ( 30, aesopinspection.getInspector7_eid() );
            pstmt.setInt   ( 31, aesopinspection.getInspector8_eid() );
            pstmt.setInt   ( 32, aesopinspection.getInspector9_eid() );
            pstmt.setInt   ( 33, aesopinspection.getInspector10_eid() );

            if(logEnabled) log.warn(((LoggableStatement)pstmt).getQueryString());
            else log.warn( query.toString() );

            count = pstmt.executeUpdate();

            conn.commit();
        }
        catch (Exception e) {
            e.printStackTrace();
            try{ conn.rollback(); }catch(SQLException sqlex){sqlex.printStackTrace();}
            throw new DatabaseException();
        }
        finally {
            try {closeConnection( conn );} catch (Exception e) { /*do nothing*/}
        }
        return count;

    }

    public int selectSeq() throws DatabaseException {
        int count = 0;
        StringBuffer query = new StringBuffer();
        query.append( "SELECT MAX(c_user_eid) + 1 eid from TB_INSPECTION        \n" );

        PreparedStatement pstmt = null;
        ResultSet rs = null;
        Connection conn = null;
        conn = getConnection();

        try {
            if(logEnabled) pstmt = new LoggableStatement(conn,query.toString());
            else pstmt = conn.prepareStatement(query.toString());

            if(logEnabled) log.warn(((LoggableStatement)pstmt).getQueryString());
            else log.warn( query.toString() );

            rs = pstmt.executeQuery();

            if (rs.next()) {
              count= rs.getInt("eid");
            }
        }
        catch (Exception e) {
            e.printStackTrace();
            throw new DatabaseException();
        }
        finally {
            try {closeConnection( conn );} catch (Exception e) { /*do nothing*/}
        }

        return count;

    }


    public AesopinspectionDTO[] selectAesopinspectionList( AesopinspectionDTO aesopinspection ) throws DatabaseException {
        AesopinspectionDTO[] arrDto = null;
        ArrayList list = new ArrayList();

        StringBuffer query = new StringBuffer();
        query.append( "SELECT                                                   \n" );
        query.append( "        c_user_eid                                       \n" );
        query.append( "       ,c_document_eid                                   \n" );
        query.append( "       ,c_overview_eid                                   \n" );
        query.append( "       ,c_eid                                            \n" );
        query.append( "       ,c_teamname                                       \n" );
        query.append( "       ,c_result_type                                    \n" );
        query.append( "       ,c_result_type_description                        \n" );
        query.append( "       ,c_date                                           \n" );
        query.append( "       ,c_doc_size_expect                                \n" );
        query.append( "       ,c_doc_size_result                                \n" );
        query.append( "       ,c_overview_time                                  \n" );
        query.append( "       ,c_preparation_time                               \n" );
        query.append( "       ,c_inspection_time                                \n" );
        query.append( "       ,c_majorcount                                     \n" );
        query.append( "       ,c_minorcount                                     \n" );
        query.append( "       ,c_reinspection_yn                                \n" );
        query.append( "       ,c_reinspection_date                              \n" );
        query.append( "       ,c_rework_check_user_eid                          \n" );
        query.append( "       ,c_rework_time                                    \n" );
        query.append( "       ,c_producer_eid                                   \n" );
        query.append( "       ,c_moderator_eid                                  \n" );
        query.append( "       ,c_reader_eid                                     \n" );
        query.append( "       ,c_recorder_eid                                   \n" );
        query.append( "       ,c_inspector1_eid                                 \n" );
        query.append( "       ,c_inspector2_eid                                 \n" );
        query.append( "       ,c_inspector3_eid                                 \n" );
        query.append( "       ,c_inspector4_eid                                 \n" );
        query.append( "       ,c_inspector5_eid                                 \n" );
        query.append( "       ,c_inspector6_eid                                 \n" );
        query.append( "       ,c_inspector7_eid                                 \n" );
        query.append( "       ,c_inspector8_eid                                 \n" );
        query.append( "       ,c_inspector9_eid                                 \n" );
        query.append( "       ,c_inspector10_eid                                \n" );
        query.append( "  FROM TB_INSPECTION                                     \n" );

        PreparedStatement pstmt = null;
        ResultSet rs = null;
        Connection conn = null;
        conn = getConnection();

        try {
            if(logEnabled) pstmt = new LoggableStatement(conn,query.toString());
            else pstmt = conn.prepareStatement(query.toString());

            if(logEnabled) log.warn(((LoggableStatement)pstmt).getQueryString());
            else log.warn( query.toString() );

            rs = pstmt.executeQuery();

            while ( rs.next() ){
                AesopinspectionDTO dto = new AesopinspectionDTO();
                dto.setUser_eid( rs.getInt( "c_user_eid" ) );
                dto.setDocument_eid( rs.getInt( "c_document_eid" ) );
                dto.setOverview_eid( rs.getInt( "c_overview_eid" ) );
                dto.setEid( rs.getInt( "c_eid" ) );
                dto.setTeamname( rs.getString( "c_teamname" ) );
                dto.setResult_type( rs.getInt( "c_result_type" ) );
                dto.setResult_type_description( rs.getString( "c_result_type_description" ) );
                dto.setDate( rs.getString( "c_date" ) );
                dto.setDoc_size_expect( rs.getString( "c_doc_size_expect" ) );
                dto.setDoc_size_result( rs.getString( "c_doc_size_result" ) );
                dto.setOverview_time( rs.getInt( "c_overview_time" ) );
                dto.setPreparation_time( rs.getInt( "c_preparation_time" ) );
                dto.setInspection_time( rs.getInt( "c_inspection_time" ) );
                dto.setMajorcount( rs.getInt( "c_majorcount" ) );
                dto.setMinorcount( rs.getInt( "c_minorcount" ) );
                dto.setReinspection_yn( rs.getInt( "c_reinspection_yn" ) );
                dto.setReinspection_date( rs.getString( "c_reinspection_date" ) );
                dto.setRework_check_user_eid( rs.getInt( "c_rework_check_user_eid" ) );
                dto.setRework_time( rs.getInt( "c_rework_time" ) );
                dto.setProducer_eid( rs.getInt( "c_producer_eid" ) );
                dto.setModerator_eid( rs.getInt( "c_moderator_eid" ) );
                dto.setReader_eid( rs.getInt( "c_reader_eid" ) );
                dto.setRecorder_eid( rs.getInt( "c_recorder_eid" ) );
                dto.setInspector1_eid( rs.getInt( "c_inspector1_eid" ) );
                dto.setInspector2_eid( rs.getInt( "c_inspector2_eid" ) );
                dto.setInspector3_eid( rs.getInt( "c_inspector3_eid" ) );
                dto.setInspector4_eid( rs.getInt( "c_inspector4_eid" ) );
                dto.setInspector5_eid( rs.getInt( "c_inspector5_eid" ) );
                dto.setInspector6_eid( rs.getInt( "c_inspector6_eid" ) );
                dto.setInspector7_eid( rs.getInt( "c_inspector7_eid" ) );
                dto.setInspector8_eid( rs.getInt( "c_inspector8_eid" ) );
                dto.setInspector9_eid( rs.getInt( "c_inspector9_eid" ) );
                dto.setInspector10_eid( rs.getInt( "c_inspector10_eid" ) );

                list.add(dto);
            }
        }
        catch (Exception e) {
            e.printStackTrace();
            throw new DatabaseException();
        }
        finally {
            try {closeConnection( conn );} catch (Exception e) { /*do nothing*/}
        }

        arrDto = new AesopinspectionDTO[list.size()];
        list.toArray( arrDto );
        return arrDto;

    }

    public AesopinspectionDTO selectAesopinspection( AesopinspectionDTO aesopinspection ) throws DatabaseException {
        AesopinspectionDTO dto = new AesopinspectionDTO();

        StringBuffer query = new StringBuffer();
        query.append( "SELECT                                                   \n" );
        query.append( "        c_user_eid                                       \n" );
        query.append( "       ,c_document_eid                                   \n" );
        query.append( "       ,c_overview_eid                                   \n" );
        query.append( "       ,c_eid                                            \n" );
        query.append( "       ,c_teamname                                       \n" );
        query.append( "       ,c_result_type                                    \n" );
        query.append( "       ,c_result_type_description                        \n" );
        query.append( "       ,c_date                                           \n" );
        query.append( "       ,c_doc_size_expect                                \n" );
        query.append( "       ,c_doc_size_result                                \n" );
        query.append( "       ,c_overview_time                                  \n" );
        query.append( "       ,c_preparation_time                               \n" );
        query.append( "       ,c_inspection_time                                \n" );
        query.append( "       ,c_majorcount                                     \n" );
        query.append( "       ,c_minorcount                                     \n" );
        query.append( "       ,c_reinspection_yn                                \n" );
        query.append( "       ,c_reinspection_date                              \n" );
        query.append( "       ,c_rework_check_user_eid                          \n" );
        query.append( "       ,c_rework_time                                    \n" );
        query.append( "       ,c_producer_eid                                   \n" );
        query.append( "       ,c_moderator_eid                                  \n" );
        query.append( "       ,c_reader_eid                                     \n" );
        query.append( "       ,c_recorder_eid                                   \n" );
        query.append( "       ,c_inspector1_eid                                 \n" );
        query.append( "       ,c_inspector2_eid                                 \n" );
        query.append( "       ,c_inspector3_eid                                 \n" );
        query.append( "       ,c_inspector4_eid                                 \n" );
        query.append( "       ,c_inspector5_eid                                 \n" );
        query.append( "       ,c_inspector6_eid                                 \n" );
        query.append( "       ,c_inspector7_eid                                 \n" );
        query.append( "       ,c_inspector8_eid                                 \n" );
        query.append( "       ,c_inspector9_eid                                 \n" );
        query.append( "       ,c_inspector10_eid                                \n" );
        query.append( "  FROM TB_INSPECTION                                     \n" );
        query.append( " WHERE c_user_eid = ?                                    \n" );

        PreparedStatement pstmt = null;
        ResultSet rs = null;
        Connection conn = null;
        conn = getConnection();

        try {
            if(logEnabled) pstmt = new LoggableStatement(conn,query.toString());
            else pstmt = conn.prepareStatement(query.toString());

            pstmt.setInt( 1, aesopinspection.getUser_eid()); 

            if(logEnabled) log.warn(((LoggableStatement)pstmt).getQueryString());
            else log.warn( query.toString() );

            rs = pstmt.executeQuery();

            if (rs.next()) {
                dto.setUser_eid( rs.getInt( "c_user_eid" ) );
                dto.setDocument_eid( rs.getInt( "c_document_eid" ) );
                dto.setOverview_eid( rs.getInt( "c_overview_eid" ) );
                dto.setEid( rs.getInt( "c_eid" ) );
                dto.setTeamname( rs.getString( "c_teamname" ) );
                dto.setResult_type( rs.getInt( "c_result_type" ) );
                dto.setResult_type_description( rs.getString( "c_result_type_description" ) );
                dto.setDate( rs.getString( "c_date" ) );
                dto.setDoc_size_expect( rs.getString( "c_doc_size_expect" ) );
                dto.setDoc_size_result( rs.getString( "c_doc_size_result" ) );
                dto.setOverview_time( rs.getInt( "c_overview_time" ) );
                dto.setPreparation_time( rs.getInt( "c_preparation_time" ) );
                dto.setInspection_time( rs.getInt( "c_inspection_time" ) );
                dto.setMajorcount( rs.getInt( "c_majorcount" ) );
                dto.setMinorcount( rs.getInt( "c_minorcount" ) );
                dto.setReinspection_yn( rs.getInt( "c_reinspection_yn" ) );
                dto.setReinspection_date( rs.getString( "c_reinspection_date" ) );
                dto.setRework_check_user_eid( rs.getInt( "c_rework_check_user_eid" ) );
                dto.setRework_time( rs.getInt( "c_rework_time" ) );
                dto.setProducer_eid( rs.getInt( "c_producer_eid" ) );
                dto.setModerator_eid( rs.getInt( "c_moderator_eid" ) );
                dto.setReader_eid( rs.getInt( "c_reader_eid" ) );
                dto.setRecorder_eid( rs.getInt( "c_recorder_eid" ) );
                dto.setInspector1_eid( rs.getInt( "c_inspector1_eid" ) );
                dto.setInspector2_eid( rs.getInt( "c_inspector2_eid" ) );
                dto.setInspector3_eid( rs.getInt( "c_inspector3_eid" ) );
                dto.setInspector4_eid( rs.getInt( "c_inspector4_eid" ) );
                dto.setInspector5_eid( rs.getInt( "c_inspector5_eid" ) );
                dto.setInspector6_eid( rs.getInt( "c_inspector6_eid" ) );
                dto.setInspector7_eid( rs.getInt( "c_inspector7_eid" ) );
                dto.setInspector8_eid( rs.getInt( "c_inspector8_eid" ) );
                dto.setInspector9_eid( rs.getInt( "c_inspector9_eid" ) );
                dto.setInspector10_eid( rs.getInt( "c_inspector10_eid" ) );
            }
        }
        catch (Exception e) {
            e.printStackTrace();
            throw new DatabaseException();
        }
        finally {
            try {closeConnection( conn );} catch (Exception e) { /*do nothing*/}
        }

        return dto;

    }



    public int updateAesopinspection( AesopinspectionDTO aesopinspection ) throws DatabaseException {
        StringBuffer query = new StringBuffer();
        query.append( "UPDATE TB_INSPECTION SET                                 \n" );
        query.append( "        c_document_eid = ?                               \n" );
        query.append( "       ,c_overview_eid = ?                               \n" );
        query.append( "       ,c_eid = ?                                        \n" );
        query.append( "       ,c_teamname = ?                                   \n" );
        query.append( "       ,c_result_type = ?                                \n" );
        query.append( "       ,c_result_type_description = ?                    \n" );
        query.append( "       ,c_date = ?                                       \n" );
        query.append( "       ,c_doc_size_expect = ?                            \n" );
        query.append( "       ,c_doc_size_result = ?                            \n" );
        query.append( "       ,c_overview_time = ?                              \n" );
        query.append( "       ,c_preparation_time = ?                           \n" );
        query.append( "       ,c_inspection_time = ?                            \n" );
        query.append( "       ,c_majorcount = ?                                 \n" );
        query.append( "       ,c_minorcount = ?                                 \n" );
        query.append( "       ,c_reinspection_yn = ?                            \n" );
        query.append( "       ,c_reinspection_date = ?                          \n" );
        query.append( "       ,c_rework_check_user_eid = ?                      \n" );
        query.append( "       ,c_rework_time = ?                                \n" );
        query.append( "       ,c_producer_eid = ?                               \n" );
        query.append( "       ,c_moderator_eid = ?                              \n" );
        query.append( "       ,c_reader_eid = ?                                 \n" );
        query.append( "       ,c_recorder_eid = ?                               \n" );
        query.append( "       ,c_inspector1_eid = ?                             \n" );
        query.append( "       ,c_inspector2_eid = ?                             \n" );
        query.append( "       ,c_inspector3_eid = ?                             \n" );
        query.append( "       ,c_inspector4_eid = ?                             \n" );
        query.append( "       ,c_inspector5_eid = ?                             \n" );
        query.append( "       ,c_inspector6_eid = ?                             \n" );
        query.append( "       ,c_inspector7_eid = ?                             \n" );
        query.append( "       ,c_inspector8_eid = ?                             \n" );
        query.append( "       ,c_inspector9_eid = ?                             \n" );
        query.append( "       ,c_inspector10_eid = ?                            \n" );
        query.append( " WHERE c_user_eid = ?                                    \n" );

        PreparedStatement pstmt = null;
        int count = 0;
        Connection conn = null;
        conn = getConnection();

        try {
            if(logEnabled) pstmt = new LoggableStatement(conn,query.toString());
            else pstmt = conn.prepareStatement(query.toString());

            pstmt.setInt   ( 1, aesopinspection.getDocument_eid() );
            pstmt.setInt   ( 2, aesopinspection.getOverview_eid() );
            pstmt.setInt   ( 3, aesopinspection.getEid() );
            pstmt.setString( 4, aesopinspection.getTeamname() );
            pstmt.setInt   ( 5, aesopinspection.getResult_type() );
            pstmt.setString( 6, aesopinspection.getResult_type_description() );
            pstmt.setString( 7, aesopinspection.getDate() );
            pstmt.setString( 8, aesopinspection.getDoc_size_expect() );
            pstmt.setString( 9, aesopinspection.getDoc_size_result() );
            pstmt.setInt   ( 10, aesopinspection.getOverview_time() );
            pstmt.setInt   ( 11, aesopinspection.getPreparation_time() );
            pstmt.setInt   ( 12, aesopinspection.getInspection_time() );
            pstmt.setInt   ( 13, aesopinspection.getMajorcount() );
            pstmt.setInt   ( 14, aesopinspection.getMinorcount() );
            pstmt.setInt   ( 15, aesopinspection.getReinspection_yn() );
            pstmt.setString( 16, aesopinspection.getReinspection_date() );
            pstmt.setInt   ( 17, aesopinspection.getRework_check_user_eid() );
            pstmt.setInt   ( 18, aesopinspection.getRework_time() );
            pstmt.setInt   ( 19, aesopinspection.getProducer_eid() );
            pstmt.setInt   ( 20, aesopinspection.getModerator_eid() );
            pstmt.setInt   ( 21, aesopinspection.getReader_eid() );
            pstmt.setInt   ( 22, aesopinspection.getRecorder_eid() );
            pstmt.setInt   ( 23, aesopinspection.getInspector1_eid() );
            pstmt.setInt   ( 24, aesopinspection.getInspector2_eid() );
            pstmt.setInt   ( 25, aesopinspection.getInspector3_eid() );
            pstmt.setInt   ( 26, aesopinspection.getInspector4_eid() );
            pstmt.setInt   ( 27, aesopinspection.getInspector5_eid() );
            pstmt.setInt   ( 28, aesopinspection.getInspector6_eid() );
            pstmt.setInt   ( 29, aesopinspection.getInspector7_eid() );
            pstmt.setInt   ( 30, aesopinspection.getInspector8_eid() );
            pstmt.setInt   ( 31, aesopinspection.getInspector9_eid() );
            pstmt.setInt   ( 32, aesopinspection.getInspector10_eid() );
            pstmt.setInt   ( 33, aesopinspection.getUser_eid() ); 

            if(logEnabled) log.warn(((LoggableStatement)pstmt).getQueryString());
            else log.warn( query.toString() );

            count = pstmt.executeUpdate();

            conn.commit();
        }
        catch (Exception e) {
            e.printStackTrace();
            try{ conn.rollback(); }catch(SQLException sqlex){sqlex.printStackTrace();}
            throw new DatabaseException();
        }
        finally {
            try {closeConnection( conn );} catch (Exception e) { /*do nothing*/}
        }
        return count;

    }


    public int deleteAesopinspection( AesopinspectionDTO aesopinspection ) throws DatabaseException {
        StringBuffer query = new StringBuffer();
        query.append( "DELETE FROM TB_INSPECTION                                \n" );
        query.append( " WHERE c_user_eid = ?                                    \n" );

        PreparedStatement pstmt = null;
        int count = 0;
        Connection conn = null;
        conn = getConnection();

        try {
            if(logEnabled) pstmt = new LoggableStatement(conn,query.toString());
            else pstmt = conn.prepareStatement(query.toString());

            pstmt.setInt   ( 1, aesopinspection.getUser_eid() );

            if(logEnabled) log.warn(((LoggableStatement)pstmt).getQueryString());
            else log.warn( query.toString() );

            count = pstmt.executeUpdate();

            conn.commit();
        }
        catch (Exception e) {
            e.printStackTrace();
            try{ conn.rollback(); }catch(SQLException sqlex){sqlex.printStackTrace();}
            throw new DatabaseException();
        }
        finally {
            try {closeConnection( conn );} catch (Exception e) { /*do nothing*/}
        }
        return count;

    }

}
