
/*
 * -----------------------------------------------------------------------------
 * File  Name     : UpdateAesopinspectionlistInitAction.java
 * Description    : Action class
 * Special Logics :
 * @author        : Suh Hyuck Jun
 * @version       : 1.0
 * @Date          : 2005.12.24
 *------------------------------------------------------------------------------
 * History :
 *  DATE              AUTHOR          DESCRIPTION
 * -----------      -------------    -------------------
 *  2005.12.24      Suh, Hyuck Jun    Initial Release
 *------------------------------------------------------------------------------
 * Copyright(c) 2004,  All rights reserved.
 *
 * NOTICE !    You can not copy or redistribute this code.
 *
 */
package cc.struts.cian3.aesopinspectionlist.action;

import org.apache.commons.beanutils.BeanUtils;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionForm;

import java.util.Collection;

import cc.struts.cian3.aesopinspectionlist.service.AesopinspectionlistService;
import cc.struts.cian3.aesopinspectionlist.dto.AesopinspectionlistDTO;
import cc.struts.cian3.aesopinspectionlist.form.AesopinspectionlistForm;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;


public final class UpdateAesopinspectionlistInitAction extends Action {

    public ActionForward execute(ActionMapping mapping,
                                 ActionForm form,
                                 HttpServletRequest request,
                                 HttpServletResponse response)
        throws Exception {
        AesopinspectionlistService service = new AesopinspectionlistService();
        AesopinspectionlistForm aesopinspectionlistForm = (AesopinspectionlistForm) form;
        AesopinspectionlistDTO aesopinspectionlistDTO = new AesopinspectionlistDTO();
        BeanUtils.copyProperties( aesopinspectionlistDTO, aesopinspectionlistForm );

        HttpSession session = request.getSession();
        Collection defect_weight_cd = service.selectDefect_weightCodeList();
        session.setAttribute( "defect_weight_cd", defect_weight_cd );
        Collection defect_type_cd = service.selectDefect_typeCodeList();
        session.setAttribute( "defect_type_cd", defect_type_cd );
        Collection stage_cd = service.selectStageCodeList();
        session.setAttribute( "stage_cd", stage_cd );
        Collection fix_yn_cd = service.selectFix_ynCodeList();
        session.setAttribute( "fix_yn_cd", fix_yn_cd );
        
        AesopinspectionlistDTO dto = new AesopinspectionlistDTO();
        dto = service.selectAesopinspectionlist( aesopinspectionlistDTO );
        BeanUtils.copyProperties( aesopinspectionlistForm, dto );
        
        request.setAttribute( "dto", dto );
        
        return (mapping.findForward("update"));
    }
}

