
/*
 * -----------------------------------------------------------------------------
 * File  Name     : AesopinspectionlistService.java
 * Description    : Service Class
 * Special Logics :
 * @author        : Suh Hyuck Jun
 * @version       : 1.0
 * @Date          : 2005.12.24
 *------------------------------------------------------------------------------
 * History :
 *  DATE              AUTHOR          DESCRIPTION
 * -----------      -------------    -------------------
 *  2005.12.24      Suh, Hyuck Jun    Initial Release
 *------------------------------------------------------------------------------
 * Copyright(c) 2004,  All rights reserved.
 *
 * NOTICE !    You can not copy or redistribute this code.
 *
 */
package cc.struts.cian3.aesopinspectionlist.service;

import cc.struts.cian3.aesopinspectionlist.dto.AesopinspectionlistDTO;
import cc.struts.cian3.aesopinspectionlist.dao.AesopinspectionlistDAO;
import cc.struts.cian3.aesoppreparationlist.dao.AesoppreparationlistDAO;
import cc.struts.cian3.dao.SuperDAO;

import java.util.Collection;


import cc.struts.cian3.exception.DatabaseException;

public class AesopinspectionlistService {

    public AesopinspectionlistDTO insertAesopinspectionlist( AesopinspectionlistDTO aesopinspectionlist ) throws DatabaseException {
        int count=0;

        try {
            AesopinspectionlistDAO dao = new AesopinspectionlistDAO();
            
            aesopinspectionlist.setInspectionlist_eid( dao.selectSeq(aesopinspectionlist) );
            count = dao.insertAesopinspectionlist( aesopinspectionlist );
        }
        catch( DatabaseException de ) {
            //log error
            throw de;
        }

        return aesopinspectionlist;
    }


    public AesopinspectionlistDTO[] selectAesopinspectionlistList( AesopinspectionlistDTO aesopinspectionlist ) throws DatabaseException {
        AesopinspectionlistDTO[] arrDto = null;

        try {
            AesopinspectionlistDAO dao = new AesopinspectionlistDAO();
            arrDto = dao.selectAesopinspectionlistList( aesopinspectionlist );
        }
        catch( DatabaseException de ) {
            //log error
            throw de;
        }
        return arrDto;
    }


    public AesopinspectionlistDTO selectAesopinspectionlist( AesopinspectionlistDTO aesopinspectionlist ) throws DatabaseException {
        AesopinspectionlistDTO dto = new AesopinspectionlistDTO();

        try {
            AesopinspectionlistDAO dao = new AesopinspectionlistDAO();
            dto = dao.selectAesopinspectionlist( aesopinspectionlist );
        }
        catch( DatabaseException de ) {
            //log error
            throw de;
        }
        return dto;
    }


    public AesopinspectionlistDTO updateAesopinspectionlist( AesopinspectionlistDTO aesopinspectionlist ) throws DatabaseException {
        int count=0;

        try {
            AesopinspectionlistDAO dao = new AesopinspectionlistDAO();
            count = dao.updateAesopinspectionlist( aesopinspectionlist );
        }
        catch( DatabaseException de ) {
            //log error
            throw de;
        }
        return aesopinspectionlist;
    }

    public AesopinspectionlistDTO reworkAesopinspectionlist( AesopinspectionlistDTO aesopinspectionlist ) throws DatabaseException {
        int count=0;

        try {
        	//rework  ̸ rework Ѱ ٲٰ,   ̸   ٲ۴.
            AesopinspectionlistDAO dao = new AesopinspectionlistDAO();
            count = dao.reworkAesopinspectionlist( aesopinspectionlist );
        }
        catch( DatabaseException de ) {
            //log error
            throw de;
        }
        return aesopinspectionlist;
    }

    public AesopinspectionlistDTO deleteAesopinspectionlist( AesopinspectionlistDTO aesopinspectionlist ) throws DatabaseException {
        int count=0;

        try {
            AesopinspectionlistDAO dao = new AesopinspectionlistDAO();
            count = dao.deleteAesopinspectionlist( aesopinspectionlist );
        }
        catch( DatabaseException de ) {
            //log error
            throw de;
        }
        return aesopinspectionlist;
    }
    
    public Collection selectDefect_weightCodeList() throws DatabaseException {
        Collection collection = null;

        try {
            SuperDAO dao = new SuperDAO();
            collection = dao.selectCodeList( 2104 );
        }
        catch( DatabaseException de ) {
            //log error
            throw de;
        }
        return collection;
    }

    public Collection selectDefect_typeCodeList() throws DatabaseException {
        Collection collection = null;

        try {
            SuperDAO dao = new SuperDAO();
            collection = dao.selectCodeList( 2108 );
        }
        catch( DatabaseException de ) {
            //log error
            throw de;
        }
        return collection;
    }

    public Collection selectStageCodeList() throws DatabaseException {
        Collection collection = null;

        try {
            SuperDAO dao = new SuperDAO();
            collection = dao.selectCodeList( 2109 );
        }
        catch( DatabaseException de ) {
            //log error
            throw de;
        }
        return collection;
    }

    public Collection selectFix_ynCodeList() throws DatabaseException {
        Collection collection = null;

        try {
            SuperDAO dao = new SuperDAO();
            collection = dao.selectCodeList( 2110 );
        }
        catch( DatabaseException de ) {
            //log error
            throw de;
        }
        return collection;
    }

}
