
/*
 * -----------------------------------------------------------------------------
 * File  Name     : InsertAesopoverviewAction.java
 * Description    : Action class
 * Special Logics :
 * @author        : Suh Hyuck Jun
 * @version       : 1.0
 * @Date          : 2005.12.24
 *------------------------------------------------------------------------------
 * History :
 *  DATE              AUTHOR          DESCRIPTION
 * -----------      -------------    -------------------
 *  2005.12.24      Suh, Hyuck Jun    Initial Release
 *------------------------------------------------------------------------------
 * Copyright(c) 2004,  All rights reserved.
 *
 * NOTICE !    You can not copy or redistribute this code.
 *
 */
package cc.struts.cian3.aesopoverview.action;

import org.apache.struts.action.*;
import org.apache.struts.action.Action;
import org.apache.struts.upload.FormFile;
import org.apache.commons.beanutils.BeanUtils;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import cc.struts.cian3.exception.DatabaseException;
import cc.struts.cian3.util.FileUploadUtil;
import cc.struts.cian3.aesopoverview.service.AesopoverviewService;
import cc.struts.cian3.aesopoverview.dto.AesopoverviewDTO;
import cc.struts.cian3.aesopoverview.form.AesopoverviewForm;
import org.apache.struts.upload.FormFile;
import cc.struts.cian3.util.FileUploadUtil;
import java.io.*;
import java.util.ArrayList;
import cc.struts.cian3.dto.FileDTO;

public final class InsertAesopoverviewAction extends Action {

    public ActionForward execute(ActionMapping mapping,
                                 ActionForm form,
                                 HttpServletRequest request,
                                 HttpServletResponse response)
        throws Exception {
        AesopoverviewService service = new AesopoverviewService();
        AesopoverviewForm aesopoverviewForm = (AesopoverviewForm) form;
        AesopoverviewDTO aesopoverviewDTO = new AesopoverviewDTO();
        BeanUtils.copyProperties( aesopoverviewDTO, aesopoverviewForm );

        AesopoverviewDTO dto = new AesopoverviewDTO();
        FormFile[] fileList = aesopoverviewForm.getFileList();
    	
        FileDTO[] arrDtoFile = null;
    	ArrayList list = new ArrayList();
    	
    	try {
    		for (int i = 0; i < fileList.length; i++) {
    			FormFile formFile = fileList[i];
    			
    			if ( formFile != null ){
    				String fileName = formFile.getFileName();
    				FileDTO dtoFile = new FileDTO();
    				if ((fileName != null) && (!fileName.equals("")) ) {
    					dtoFile = FileUploadUtil.fileUpload(formFile);
    					//System.out.println( "user upload file name="+dtoFile.getUserUploadedFileName() );
    					//System.out.println( "stored file name ="+dtoFile.getDiskStoredFileName() );
    				}
    				list.add(dtoFile);
    			}
    		}
    		arrDtoFile = new FileDTO[list.size()];
    		list.toArray( arrDtoFile );
    		
    		if( !"".equals(arrDtoFile[0].getDiskStoredFileName()) ){ 
    			aesopoverviewDTO.setOrg_filename0   ( arrDtoFile[0].getUserUploadedFileName());
    			aesopoverviewDTO.setStored_filename0( arrDtoFile[0].getDiskStoredFileName()  );
    		}
    		if( !"".equals(arrDtoFile[1].getDiskStoredFileName()) ){ 
    			aesopoverviewDTO.setOrg_filename1   ( arrDtoFile[1].getUserUploadedFileName());
    			aesopoverviewDTO.setStored_filename1( arrDtoFile[1].getDiskStoredFileName()  );
    		}
    		if( !"".equals(arrDtoFile[2].getDiskStoredFileName()) ){ 
    			aesopoverviewDTO.setOrg_filename2   ( arrDtoFile[2].getUserUploadedFileName());
    			aesopoverviewDTO.setStored_filename2( arrDtoFile[2].getDiskStoredFileName()  );
    		}
    		if( !"".equals(arrDtoFile[3].getDiskStoredFileName()) ){ 
    			aesopoverviewDTO.setOrg_filename3   ( arrDtoFile[3].getUserUploadedFileName());
    			aesopoverviewDTO.setStored_filename3( arrDtoFile[3].getDiskStoredFileName()  );
    		}
    		if( !"".equals(arrDtoFile[4].getDiskStoredFileName()) ){ 
    			aesopoverviewDTO.setOrg_filename4   ( arrDtoFile[4].getUserUploadedFileName());
    			aesopoverviewDTO.setStored_filename4( arrDtoFile[4].getDiskStoredFileName()  );
    		}
    		
            service.insertAesopoverview( aesopoverviewDTO );
            ActionMessages messages = new ActionMessages();
            ActionMessage message = new ActionMessage( "message.aesopoverview.insertsuccess", Integer.toString(dto.getDocument_eid()) );
            messages.add( ActionMessages.GLOBAL_MESSAGE, message );
            saveMessages( request, messages );

            //dto = service.selectAesopoverview( aesopoverviewDTO );
            //request.setAttribute( "dto", dto );

            return (mapping.findForward("success"));
        }
        catch( DatabaseException de ) {
            ActionErrors errors = new ActionErrors();
            ActionError error = new ActionError("error.aesopoverview.databaseException");
            errors.add( ActionErrors.GLOBAL_ERROR, error );
            saveErrors( request, errors );
            return (mapping.findForward("error"));
        }
    }
}

