
/*
 * -----------------------------------------------------------------------------
 * File  Name     : UpdateAesopoverviewInitAction.java
 * Description    : Action class
 * Special Logics :
 * @author        : Suh Hyuck Jun
 * @version       : 1.0
 * @Date          : 2005.12.24
 *------------------------------------------------------------------------------
 * History :
 *  DATE              AUTHOR          DESCRIPTION
 * -----------      -------------    -------------------
 *  2005.12.24      Suh, Hyuck Jun    Initial Release
 *------------------------------------------------------------------------------
 * Copyright(c) 2004,  All rights reserved.
 *
 * NOTICE !    You can not copy or redistribute this code.
 *
 */
package cc.struts.cian3.aesopoverview.action;

import org.apache.commons.beanutils.BeanUtils;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionForm;

import java.util.Collection;

import cc.struts.cian3.aesopoverview.service.AesopoverviewService;
import cc.struts.cian3.aesopoverview.dto.AesopoverviewDTO;
import cc.struts.cian3.aesopoverview.form.AesopoverviewForm;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;


public final class UpdateAesopoverviewInitAction extends Action {

    public ActionForward execute(ActionMapping mapping,
                                 ActionForm form,
                                 HttpServletRequest request,
                                 HttpServletResponse response)
        throws Exception {
        AesopoverviewService service = new AesopoverviewService();
        AesopoverviewForm aesopoverviewForm = (AesopoverviewForm) form;
        AesopoverviewDTO aesopoverviewDTO = new AesopoverviewDTO();
        BeanUtils.copyProperties( aesopoverviewDTO, aesopoverviewForm );

        HttpSession session = request.getSession();
        Collection document_size_type_cd = service.selectDoc_size_typeCodeList();
        session.setAttribute( "document_size_type_cd", document_size_type_cd );
        
        AesopoverviewDTO dto = new AesopoverviewDTO();
        dto = service.selectAesopoverview( aesopoverviewDTO );
        BeanUtils.copyProperties( aesopoverviewForm, dto );
        request.setAttribute( "dto", dto );

        return (mapping.findForward("update"));
    }
}

