
/*
 * -----------------------------------------------------------------------------
 * File  Name     : AesopoverviewService.java
 * Description    : Service Class
 * Special Logics :
 * @author        : Suh Hyuck Jun
 * @version       : 1.0
 * @Date          : 2005.12.24
 *------------------------------------------------------------------------------
 * History :
 *  DATE              AUTHOR          DESCRIPTION
 * -----------      -------------    -------------------
 *  2005.12.24      Suh, Hyuck Jun    Initial Release
 *------------------------------------------------------------------------------
 * Copyright(c) 2004,  All rights reserved.
 *
 * NOTICE !    You can not copy or redistribute this code.
 *
 */
package cc.struts.cian3.aesopoverview.service;

import cc.struts.cian3.aesopoverview.dto.AesopoverviewDTO;
import cc.struts.cian3.aesopoverview.dao.AesopoverviewDAO;
import cc.struts.cian3.dao.SuperDAO;

import java.util.Collection;


import cc.struts.cian3.exception.DatabaseException;

public class AesopoverviewService {

    public AesopoverviewDTO insertAesopoverview( AesopoverviewDTO aesopoverview ) throws DatabaseException {
        int count=0;

        try {
            AesopoverviewDAO dao = new AesopoverviewDAO();
            aesopoverview.setOverview_eid( dao.selectSeq( aesopoverview ) );
            count = dao.insertAesopoverview( aesopoverview );
        }
        catch( DatabaseException de ) {
            //log error
            throw de;
        }

        return aesopoverview;
    }

    public AesopoverviewDTO[] selectAesopoverviewList( AesopoverviewDTO aesopoverview ) throws DatabaseException {
        AesopoverviewDTO[] arrDto = null;

        try {
            AesopoverviewDAO dao = new AesopoverviewDAO();
            arrDto = dao.selectAesopoverviewList( aesopoverview );
        }
        catch( DatabaseException de ) {
            //log error
            throw de;
        }
        return arrDto;
    }


    public AesopoverviewDTO selectAesopoverview( AesopoverviewDTO aesopoverview ) throws DatabaseException {
        AesopoverviewDTO dto = new AesopoverviewDTO();

        try {
            AesopoverviewDAO dao = new AesopoverviewDAO();
            dto = dao.selectAesopoverview( aesopoverview );
        }
        catch( DatabaseException de ) {
            //log error
            throw de;
        }
        return dto;
    }


    public AesopoverviewDTO updateAesopoverview( AesopoverviewDTO aesopoverview ) throws DatabaseException {
        int count=0;

        try {
            AesopoverviewDAO dao = new AesopoverviewDAO();
            count = dao.updateAesopoverview( aesopoverview );
        }
        catch( DatabaseException de ) {
            //log error
            throw de;
        }
        return aesopoverview;
    }

    public AesopoverviewDTO deleteAesopoverview( AesopoverviewDTO aesopoverview ) throws DatabaseException {
        int count=0;

        try {
            AesopoverviewDAO dao = new AesopoverviewDAO();
            count = dao.deleteAesopoverview( aesopoverview );
        }
        catch( DatabaseException de ) {
            //log error
            throw de;
        }
        return aesopoverview;
    }
    
    public Collection selectDoc_size_typeCodeList() throws DatabaseException {
        Collection collection = null;

        try {
            SuperDAO dao = new SuperDAO();
            collection = dao.selectCodeList( 2103 );
        }
        catch( DatabaseException de ) {
            //log error
            throw de;
        }
        return collection;
    }

}
