
/*
 * -----------------------------------------------------------------------------
 * File  Name     : InsertAesoppreparationAction.java
 * Description    : Action class
 * Special Logics :
 * @author        : Suh Hyuck Jun
 * @version       : 1.0
 * @Date          : 2005.12.24
 *------------------------------------------------------------------------------
 * History :
 *  DATE              AUTHOR          DESCRIPTION
 * -----------      -------------    -------------------
 *  2005.12.24      Suh, Hyuck Jun    Initial Release
 *------------------------------------------------------------------------------
 * Copyright(c) 2004,  All rights reserved.
 *
 * NOTICE !    You can not copy or redistribute this code.
 *
 */
package cc.struts.cian3.aesoppreparation.action;

import org.apache.struts.action.*;
import org.apache.struts.action.Action;
import org.apache.commons.beanutils.BeanUtils;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import cc.struts.cian3.exception.DatabaseException;
import cc.struts.cian3.aesoppreparation.service.AesoppreparationService;
import cc.struts.cian3.aesoppreparation.dto.AesoppreparationDTO;
import cc.struts.cian3.aesoppreparation.form.AesoppreparationForm;

public final class InsertAesoppreparationAction extends Action {

    public ActionForward execute(ActionMapping mapping,
                                 ActionForm form,
                                 HttpServletRequest request,
                                 HttpServletResponse response)
        throws Exception {
        AesoppreparationService service = new AesoppreparationService();
        AesoppreparationForm aesoppreparationForm = (AesoppreparationForm) form;
        AesoppreparationDTO aesoppreparationDTO = new AesoppreparationDTO();
        BeanUtils.copyProperties( aesoppreparationDTO, aesoppreparationForm );

        AesoppreparationDTO dto = new AesoppreparationDTO();

        try {
            service.insertAesoppreparation( aesoppreparationDTO );
            ActionMessages messages = new ActionMessages();
            ActionMessage message = new ActionMessage( "message.aesoppreparation.insertsuccess", Integer.toString(dto.getPreparation_eid()) );
            messages.add( ActionMessages.GLOBAL_MESSAGE, message );
            saveMessages( request, messages );

            dto = service.selectAesoppreparation( aesoppreparationDTO );
            request.setAttribute( "dto", dto );

            return (mapping.findForward("success"));
        }
        catch( DatabaseException de ) {
            ActionErrors errors = new ActionErrors();
            ActionError error = new ActionError("error.aesoppreparation.databaseException");
            errors.add( ActionErrors.GLOBAL_ERROR, error );
            saveErrors( request, errors );
            return (mapping.findForward("error"));
        }
    }
}

