
/*
 * -----------------------------------------------------------------------------
 * File  Name     : UpdateAesoppreparationlistInitAction.java
 * Description    : Action class
 * Special Logics :
 * @author        : Suh Hyuck Jun
 * @version       : 1.0
 * @Date          : 2005.12.24
 *------------------------------------------------------------------------------
 * History :
 *  DATE              AUTHOR          DESCRIPTION
 * -----------      -------------    -------------------
 *  2005.12.24      Suh, Hyuck Jun    Initial Release
 *------------------------------------------------------------------------------
 * Copyright(c) 2004,  All rights reserved.
 *
 * NOTICE !    You can not copy or redistribute this code.
 *
 */
package cc.struts.cian3.aesoppreparationlist.action;

import org.apache.commons.beanutils.BeanUtils;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionForm;

import java.util.Collection;

import cc.struts.cian3.aesoppreparationlist.service.AesoppreparationlistService;
import cc.struts.cian3.aesoppreparationlist.dto.AesoppreparationlistDTO;
import cc.struts.cian3.aesoppreparationlist.form.AesoppreparationlistForm;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;


public final class UpdateAesoppreparationlistInitAction extends Action {

    public ActionForward execute(ActionMapping mapping,
                                 ActionForm form,
                                 HttpServletRequest request,
                                 HttpServletResponse response)
        throws Exception {
        AesoppreparationlistService service = new AesoppreparationlistService();
        AesoppreparationlistForm aesoppreparationlistForm = (AesoppreparationlistForm) form;
        AesoppreparationlistDTO aesoppreparationlistDTO = new AesoppreparationlistDTO();
        BeanUtils.copyProperties( aesoppreparationlistDTO, aesoppreparationlistForm );

        HttpSession session = request.getSession();
        Collection defect_weight_cd = service.selectDefect_weightCodeList();
        session.setAttribute( "defect_weight_cd", defect_weight_cd );
        
        AesoppreparationlistDTO dto = new AesoppreparationlistDTO();
        dto = service.selectAesoppreparationlist( aesoppreparationlistDTO );
        BeanUtils.copyProperties( aesoppreparationlistForm, dto );
        
        request.setAttribute( "dto", dto );
        
        return (mapping.findForward("update"));
    }
}

