
/*
 * -----------------------------------------------------------------------------
 * File  Name     : UpdateAesopuserAction.java
 * Description    : Action class
 * Special Logics :
 * @author        : Suh Hyuck Jun
 * @version       : 1.0
 * @Date          : 2005.12.24
 *------------------------------------------------------------------------------
 * History :
 *  DATE              AUTHOR          DESCRIPTION
 * -----------      -------------    -------------------
 *  2005.12.24      Suh, Hyuck Jun    Initial Release
 *------------------------------------------------------------------------------
 * Copyright(c) 2004,  All rights reserved.
 *
 * NOTICE !    You can not copy or redistribute this code.
 *
 */
package cc.struts.cian3.aesopuser.action;

import org.apache.struts.action.*;
import org.apache.struts.action.Action;
import org.apache.commons.beanutils.BeanUtils;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import cc.struts.cian3.exception.DatabaseException;
import cc.struts.cian3.aesopuser.service.AesopuserService;
import cc.struts.cian3.aesopuser.dto.AesopuserDTO;
import cc.struts.cian3.aesopuser.form.AesopuserForm;

public final class UpdateAesopuserAction extends Action {

    public ActionForward execute(ActionMapping mapping,
                                 ActionForm form,
                                 HttpServletRequest request,
                                 HttpServletResponse response)
        throws Exception {
        AesopuserService service = new AesopuserService();
        AesopuserForm aesopuserForm = (AesopuserForm) form;
        AesopuserDTO aesopuserDTO = new AesopuserDTO();
        BeanUtils.copyProperties( aesopuserDTO, aesopuserForm );

        AesopuserDTO dto = new AesopuserDTO();

        try {

            service.updateAesopuser( aesopuserDTO );
            dto = service.selectAesopuser( aesopuserDTO );

            ActionMessages messages = new ActionMessages();
            ActionMessage message = new ActionMessage( "message.aesopuser.updatesuccess", Integer.toString(dto.getEid()) );
            messages.add( ActionMessages.GLOBAL_MESSAGE, message );
            saveMessages( request, messages );

            dto = service.selectAesopuser( aesopuserDTO );
            request.setAttribute( "dto", dto );

            return (mapping.findForward("success"));

        }
        catch( DatabaseException de ) {
            ActionErrors errors = new ActionErrors();
            ActionError error = new ActionError("error.aesopuser.databaseException");
            errors.add( ActionErrors.GLOBAL_ERROR, error );
            saveErrors( request, errors );
            return (mapping.findForward("error"));
        }
    }
}

