
/*
 * -----------------------------------------------------------------------------
 * File  Name     : UpdateAesopuserInitAction.java
 * Description    : Action class
 * Special Logics :
 * @author        : Suh Hyuck Jun
 * @version       : 1.0
 * @Date          : 2005.12.24
 *------------------------------------------------------------------------------
 * History :
 *  DATE              AUTHOR          DESCRIPTION
 * -----------      -------------    -------------------
 *  2005.12.24      Suh, Hyuck Jun    Initial Release
 *------------------------------------------------------------------------------
 * Copyright(c) 2004,  All rights reserved.
 *
 * NOTICE !    You can not copy or redistribute this code.
 *
 */
package cc.struts.cian3.aesopuser.action;

import org.apache.commons.beanutils.BeanUtils;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionForm;

import java.util.Collection;

import cc.struts.cian3.aesopuser.service.AesopuserService;
import cc.struts.cian3.aesopuser.dto.AesopuserDTO;
import cc.struts.cian3.aesopuser.form.AesopuserForm;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;


public final class UpdateAesopuserInitAction extends Action {

    public ActionForward execute(ActionMapping mapping,
                                 ActionForm form,
                                 HttpServletRequest request,
                                 HttpServletResponse response)
        throws Exception {
        AesopuserService service = new AesopuserService();
        AesopuserForm aesopuserForm = (AesopuserForm) form;
        AesopuserDTO aesopuserDTO = new AesopuserDTO();
        BeanUtils.copyProperties( aesopuserDTO, aesopuserForm );

        HttpSession session = request.getSession();
        Collection use_yn_cd = service.selectUse_ynCodeList();
        session.setAttribute( "use_yn_cd", use_yn_cd );
        Collection delete_yn_cd = service.selectDelete_ynCodeList();
        session.setAttribute( "delete_yn_cd", delete_yn_cd );
        
        AesopuserDTO dto = new AesopuserDTO();
        dto = service.selectAesopuser( aesopuserDTO );
        BeanUtils.copyProperties( aesopuserForm, dto );

        return (mapping.findForward("update"));
    }
}

