/*
 * -----------------------------------------------------------------------------
 * File  Name     : Util.java
 * Description    : Utility
 * Special Logics :
 * @author        : Suh Hyuck Jun
 * @version       : 1.0
 * @Date          : 2005.09.13
 *------------------------------------------------------------------------------
 * History :
 *  DATE              AUTHOR          DESCRIPTION
 * -----------      -------------    -------------------
 *  2005.09.13      Suh, Hyuck Jun    Initial Release
 *------------------------------------------------------------------------------
 * Copyright(c) 2004,  All rights reserved.
 *
 * NOTICE !    You can not copy or redistribute this code.
 *
 */
package cc.struts.cian3.util;

import java.io.ByteArrayOutputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.io.File;
import cc.struts.cian3.dto.FileDTO;
import org.apache.struts.upload.FormFile;
import java.util.Calendar;
import java.util.Date;

public class FileUploadUtil {
	
	final static String path = "D:\\ade_young\\workspace\\ws_1\\cian3\\upload\\";
	
	public static FileDTO fileUpload(FormFile fileList)
		throws FileNotFoundException, IOException {
		InputStream stream = fileList.getInputStream();

		FileDTO dto = new FileDTO();
		
		// ε  
		
		String getFileName = fileList.getFileName();
		File fileName = new File( path + getFileName );
		
		Calendar today = Calendar.getInstance();   
		
		String saveFileName = "";
		String testFileName = "";
		if ( fileName.exists() == false ){
			saveFileName = getFileName;
		}else if( fileName.exists() == true){
			int inx = 0;
			File tmpFile = null;
			boolean loopFlag = true;
			while( loopFlag == true ){
				inx++;
				if( getFileName.lastIndexOf(".") == -1 ){
					testFileName = getFileName
					             + "[" 
		                         + inx 
		                         + "]"
		                         ;
				}else{
					testFileName = getFileName.substring( 0, getFileName.lastIndexOf(".") ) 
		                         + "[" 
		                         + inx 
		                         + "]"
		                         + getFileName.substring( getFileName.lastIndexOf(".") )
		                         ;	
				}

				tmpFile = new File( path + testFileName );
				
				if( tmpFile.exists() == true){
					loopFlag = true;
				}else{
					saveFileName = testFileName;
					loopFlag = false;
				}
			}	
		}
		
		// Save a file to the hard disk
		OutputStream bos = new FileOutputStream( path + saveFileName );
		int bytesRead = 0;
		byte[] buffer = new byte[8192];
		while ((bytesRead = stream.read(buffer, 0, 8192)) != -1) {
			bos.write(buffer, 0, bytesRead);
		}
		bos.close();
		stream.close();

		dto.setDiskStoredFileName( saveFileName );
		dto.setUserUploadedFileName( getFileName );
		dto.setContentType( fileList.getContentType() );
		dto.setFileSize( fileList.getFileSize() );
		
		int month = today.get(Calendar.MONTH) + 1;
		String date = "" + today.get(Calendar.YEAR) + month + today.get(Calendar.DATE);
		dto.setUploadDate( date );
		String time = "" + today.get(Calendar.HOUR_OF_DAY) +today.get(Calendar.MINUTE) + today.get(Calendar.SECOND);
		dto.setUploadTime( time );
		System.out.println("To Do : Date="+date + ", Time= "+ time);
		System.out.println("        See also : http://java.sun.com/j2se/1.4.2/docs/api/java/util/GregorianCalendar.html" );
		
		return dto;
	}
	
	public static boolean fileDelete( String fileName )	throws FileNotFoundException, IOException {
		
		File file = new File( path + fileName );
		boolean isDeleted = file.delete();

	    return isDeleted;
	}
}
