
/*
 * -----------------------------------------------------------------------------
 * File  Name     : UpdateWordsearchInitAction.java
 * Description    : Action class
 * Special Logics :
 * @author        : Suh Hyuck Jun
 * @version       : 1.0
 * @Date          : 2006.09.25
 *------------------------------------------------------------------------------
 * History :
 *  DATE              AUTHOR          DESCRIPTION
 * -----------      -------------    -------------------
 *  2006.09.25      Suh, Hyuck Jun    Initial Release
 *------------------------------------------------------------------------------
 * Copyright(c) 2004,  All rights reserved.
 *
 * NOTICE !    You can not copy or redistribute this code.
 *
 */
package cc.struts.cian3.wordsearch.action;

import org.apache.commons.beanutils.BeanUtils;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionForm;

import java.util.Collection;

import cc.struts.cian3.wordsearch.service.WordsearchService;
import cc.struts.cian3.wordsearch.dto.WordsearchDTO;
import cc.struts.cian3.wordsearch.form.WordsearchForm;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;


public final class UpdateWordsearchInitAction extends Action {

    public ActionForward execute(ActionMapping mapping,
                                 ActionForm form,
                                 HttpServletRequest request,
                                 HttpServletResponse response)
        throws Exception {
        WordsearchService service = new WordsearchService();
        WordsearchForm wordsearchForm = (WordsearchForm) form;
        WordsearchDTO wordsearchDTO = new WordsearchDTO();
        BeanUtils.copyProperties( wordsearchDTO, wordsearchForm );

        HttpSession session = request.getSession();
        
        WordsearchDTO dto = new WordsearchDTO();
        dto = service.selectWordsearch( wordsearchDTO );
        BeanUtils.copyProperties( wordsearchForm, dto );

        return (mapping.findForward("update"));
    }
}

