
/*
 * -----------------------------------------------------------------------------
 * File  Name     : WordsearchService.java
 * Description    : Service Class
 * Special Logics :
 * @author        : Suh Hyuck Jun
 * @version       : 1.0
 * @Date          : 2006.09.25
 *------------------------------------------------------------------------------
 * History :
 *  DATE              AUTHOR          DESCRIPTION
 * -----------      -------------    -------------------
 *  2006.09.25      Suh, Hyuck Jun    Initial Release
 *------------------------------------------------------------------------------
 * Copyright(c) 2004,  All rights reserved.
 *
 * NOTICE !    You can not copy or redistribute this code.
 *
 */
package cc.struts.cian3.wordsearch.service;

import cc.struts.cian3.wordsearch.dto.WordsearchDTO;
import cc.struts.cian3.wordsearch.dao.WordsearchDAO;
import cc.struts.cian3.dao.SuperDAO;
import java.io.*;
import java.util.Calendar;
import java.util.Date;
import java.util.StringTokenizer;
import java.util.regex.Pattern;
import java.util.regex.Matcher;

import java.util.Collection;


import cc.struts.cian3.exception.DatabaseException;

public class WordsearchService {

    public WordsearchDTO insertWordsearch( WordsearchDTO wordsearch ) throws DatabaseException {
        int count=0;

        try {
            WordsearchDAO dao = new WordsearchDAO();
            wordsearch.setEid( dao.selectSeq() );
            count = dao.insertWordsearch( wordsearch );
        }
        catch( DatabaseException de ) {
            //log error
            throw de;
        }

        return wordsearch;
    }

    public WordsearchDTO[] selectWordsearchList( WordsearchDTO wordsearch ) throws DatabaseException {
        WordsearchDTO[] arrDto = null;

        try {
            WordsearchDAO dao = new WordsearchDAO();
            arrDto = dao.selectWordsearchList( wordsearch );
        }
        catch( DatabaseException de ) {
            //log error
            throw de;
        }
        return arrDto;
    }


    public WordsearchDTO selectWordsearch( WordsearchDTO wordsearch ) throws DatabaseException {
        WordsearchDTO dto = new WordsearchDTO();

        try {
            WordsearchDAO dao = new WordsearchDAO();
            dto = dao.selectWordsearch( wordsearch );
        }
        catch( DatabaseException de ) {
            //log error
            throw de;
        }
        return dto;
    }

    // str ˻.
    public WordsearchDTO selectWordsearchStr( WordsearchDTO wordsearch ) throws DatabaseException {
        WordsearchDTO dto = new WordsearchDTO();
        
        try {
            WordsearchDAO dao = new WordsearchDAO();
            WordsearchDAO dao2 = new WordsearchDAO();
            
            dto = dao.selectWordsearchStr( wordsearch );
            dto.setDescriptioninfile( extractDescription(dto.getEid()) );  //File ܾ.
            
            if ( dto.getEid() != 0 ){
            	dao2.updateWordsearchViewCount( dto.getEid() );	
            }
            
        }
        catch( DatabaseException de ) {
            //log error
            throw de;
        }catch( Exception e){
            e.printStackTrace();
        }
        return dto;
    }

    public WordsearchDTO updateWordsearch( WordsearchDTO wordsearch ) throws DatabaseException {
        int count=0;

        try {
            WordsearchDAO dao = new WordsearchDAO();
            count = dao.updateWordsearch( wordsearch );
        }
        catch( DatabaseException de ) {
            //log error
            throw de;
        }
        return wordsearch;
    }

    public WordsearchDTO deleteWordsearch( WordsearchDTO wordsearch ) throws DatabaseException {
        int count=0;

        try {
            WordsearchDAO dao = new WordsearchDAO();
            count = dao.deleteWordsearch( wordsearch );
        }
        catch( DatabaseException de ) {
            //log error
            throw de;
        }
        return wordsearch;
    }
    
    
    
    //File ܾ κи о.
    private static  String extractDescription(int inx) throws Exception {

        String headwordSelectedU="";

        StringBuffer buffer = new StringBuffer();
        String text;
        String partStr;
        String patternStr = "src='/display/pron.pl?.*'";
        //String patternStr = "src='/display/pron.pl?";
        Pattern pattern = Pattern.compile(patternStr);
        Matcher matcher=null;
        String matcherresult;

        String patternStr2 = "<a class=\"[a-z|A-Z]{1,}\" id=\"[a-z|A-Z]{1,}.[0-9]{1,}\" >";
        Pattern pattern2 = Pattern.compile(patternStr2);
        Matcher matcher2=null;
        String matcherresult2;

        String patternStr3 = "<div id=\"p[0-9]{1,}-[0-9]{1,}\" ";
        Pattern pattern3 = Pattern.compile(patternStr3);
        Matcher matcher3=null;
        String matcherresult3;

        String viewStr="";
   
            try {
                FileInputStream fis = new FileInputStream( "D:\\ade_young\\longman\\wordU\\wordU" + inx + ".htm" );
                InputStreamReader isr = new InputStreamReader( fis, "UTF8" );
                Reader in = new BufferedReader(isr);
                int ch;
                while ((ch = in.read()) > -1) {
                    buffer.append((char)ch);
                }
                in.close();
                //System.out.println( "Result=" + buffer.toString() );
                text = buffer.toString();



                //=====================================================================
                // description & example
                //
                //
                //=====================================================================
                   
                partStr = text.substring( text.indexOf( "#FFFFFF\">" ) + "#FFFFFF\">".length() 
                                         , text.lastIndexOf("<script language=")
                                        ).replaceAll( "\t", ""
                                        ).replaceAll( "\r\n", ""
                                        ).replaceAll( "<img class=\"openhwd\" onclick=\"closeAllHwd();\" src=\"/images/data/btnflcplier.gif\" alt=\"\" />", "" 
                                        ).replaceAll( "<img class=\"pronsentence\" title=\"Look up a word starting with D or S for samples of headword or sentence pronunciations on the LDOCE CD-ROM\" src=\"/images/entry/pronsentencea.gif\" />",""
                                        ).replaceAll( "src=\"/images/data/btnflcplier.gif\"", "src='../images/btnflcplier.gif'" 
                                       // ).replaceAll("  ", " "
                                       // ).replaceAll("  ", " " 
                                       // ).replaceAll("  ", " " 
                                       // ).replaceAll("  ", " " 
                                       // ).replaceAll("  ", " " 
                                       // ).replaceAll("  ", " " 
                                       // ).replaceAll("  ", " " 
                                       // ).replaceAll("  ", " " 
                                        );
                
                matcher = pattern.matcher(partStr);
                matcherresult = matcher.replaceAll("src='../pronunciation/p"+inx+".gif'");

                //System.out.println( "contents="+partStr);
                       viewStr =   "<html xmlns='http://www.w3.org/1999/xhtml'>                                     ".trim()
                                 + "  <head>                                                                        ".trim()
                                 + "    <meta http-equiv='Content-Type' content='text/html; charset=ISO-8859-1'/>         ".trim()
                                 + "    <meta http-equiv='pragma' content='no-cache'>                               ".trim()
                                 + "    <link rel='stylesheet' href='../css/dictionary.css' type='text/css'/>       ".trim()
                                 + "    <link rel='stylesheet' href='../css/other.css' type='text/css'/>            ".trim()
                                 + "    <link rel='stylesheet' href='../css/project.css' type='text/css'/>          ".trim()
                                 + "    <link rel='stylesheet' href='../css/entry.css' type='text/css'/>            ".trim()
                                 + "    <link rel='stylesheet' href='/css/print.css' type='text/css' media='print'/>".trim()
                                 + "  </head>                                                                       ".trim()
                                 + "  <body style='background-color:#FFFFFF'>                                       ".trim()
                                 + "\n" 
                                 + matcherresult
                                 + "  </body>                                                                       ".trim()
                                 + "</html>                                                                         ".trim()
                                 ;
                //System.out.println( "contents="+viewStr);
                


            } catch (IOException e) {
                e.printStackTrace();
            }
        return    viewStr;
    }

}
